loci.formats.in

## Class SlideBook7Reader.CRemapChannelLUT70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CRemapChannelLUT70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CRemapChannelLUT70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Boolean` | `mBuiltTable`
    `java.lang.Double[]` | `mCoefficients`
    `java.lang.String` | `mEquationString`
    `java.lang.Float` | `mHighDesired`
    `java.lang.Integer` | `mHighGiven`
    `java.lang.Boolean[]` | `mInsideRange`
    `java.lang.Float` | `mLowDesired`
    `java.lang.Integer` | `mLowGiven`
    `SlideBook7Reader.CRemapPoint[]` | `mPoints`
    `java.lang.Integer` | `mRemapType`
    `java.lang.Float[]` | `mValues`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CRemapChannelLUT70()`

  - ### Method Summary

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mCoefficients

          public java.lang.Double[] mCoefficients

    - #### mValues

          public java.lang.Float[] mValues

    - #### mInsideRange

          public java.lang.Boolean[] mInsideRange

    - #### mLowDesired

          public java.lang.Float mLowDesired

    - #### mHighDesired

          public java.lang.Float mHighDesired

    - #### mLowGiven

          public java.lang.Integer mLowGiven

    - #### mHighGiven

          public java.lang.Integer mHighGiven

    - #### mBuiltTable

          public java.lang.Boolean mBuiltTable

    - #### mRemapType

          public java.lang.Integer mRemapType

    - #### mEquationString

          public java.lang.String mEquationString

    - #### mPoints

          public SlideBook7Reader.CRemapPoint[] mPoints

  - ### Constructor Detail

    - #### CRemapChannelLUT70

          CRemapChannelLUT70()

Copyright © 2026 Open Microscopy Environment